OCamllabs icon Home|Differences with the last checks|Previous runs


Building on laodoke.ocamllabs.io

(from ocaml/opam:debian-unstable)
2021-10-21 03:56.45 ---> using "0acd5aeaa8f7bc314514d9795d14a7f12ec72a6a5b11c5904350189734c6859b" from cache

/: (user (uid 1000) (gid 1000))

/: (env OPAMPRECISETRACKING 1)

/: (env OPAMUTF8 never)

/: (env OPAMEXTERNALSOLVER builtin-0install)

/: (env OPAMCRITERIA +removed)

/: (run (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam"))
2021-10-21 03:56.45 ---> using "4d29eb3e0b7cd69a97ed90837671d5ca38aa41e2fb94346298af500378eca6fa" from cache

/: (run (network host)
        (shell "rm -rf ~/opam-repository && git clone -q 'git://github.com/ocaml/opam-repository.git' ~/opam-repository && git -C ~/opam-repository checkout -q 53ec9a45898dcacb426391da813c036212d8d3e6"))
2021-10-21 03:56.45 ---> using "9e3c71f07cb8650e76491f4ea4380e82b420e7db844fb7309f51d1856544743c" from cache

/: (run (shell "rm -rf ~/.opam && opam init -ya --bare --config ~/.opamrc-sandbox ~/opam-repository"))
Configuring from /home/opam/.opamrc-sandbox, then /home/opam/.opamrc, and finally from built-in defaults.
Checking for available remotes: rsync and local, git.
  - you won't be able to use mercurial repositories unless you install the hg command on your system.
  - you won't be able to use darcs repositories unless you install the darcs command on your system.


<><> Fetching repository information ><><><><><><><><><><><><><><><><><><><><><>
[default] Initialised

User configuration:
  ~/.profile is already up-to-date.
[NOTE] Make sure that ~/.profile is well sourced in your ~/.bashrc.

2021-10-21 03:56.45 ---> using "27d1597f48f02b6b36c95df57225917e30e08bb54134379907bf74408f22b37a" from cache

/: (run (network host)
        (shell "git clone -q 'git://github.com/kit-ty-kate/multicore-opam.git' ~/'multicore' && git -C ~/'multicore' checkout -q f7d7c872ca1a40604219336dd1396c7873215005"))
2021-10-21 03:56.45 ---> using "6bddf57bc0a6e6d09869c0fa03a31ac63b5e62bd07859f843055286df02c2c0c" from cache

/: (run (shell "opam repository add --dont-select 'multicore' ~/'multicore'"))
[multicore] Initialised
2021-10-21 03:56.45 ---> using "848dc19b3061c50bbb8d2091adb8c29c6877c8906b6aeef2e1074d985eca8453" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell "opam switch create --repositories=multicore,default 4.12.0+nnpchecker"))

<><> Installing new switch packages <><><><><><><><><><><><><><><><><><><><><><>
Switch invariant: ["ocaml-variants" {= "4.12.0+nnpchecker"}]

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> installed base-bigarray.base
-> installed base-threads.base
-> installed base-unix.base
-> installed ocaml-option-nnpchecker.1
-> retrieved ocaml-variants.4.12.0+nnpchecker  (https://github.com/kit-ty-kate/ocaml/archive/nnpchecker.tar.gz)
-> installed ocaml-variants.4.12.0+nnpchecker
-> installed ocaml-config.2
-> installed ocaml.4.12.0
Done.
# Run eval $(opam env --switch=4.12.0+nnpchecker) to update the current shell environment
2021-10-21 03:56.45 ---> using "4d246d2b5e67ec352bf464d28972c37a3e71c7ca8318ec27ced37d2df09004fa" from cache

/: (run (network host)
        (shell "opam update --depexts"))
+ /usr/bin/sudo "apt-get" "update"
- Get:1 http://deb.debian.org/debian unstable InRelease [165 kB]
- Get:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index [63.6 kB]
- Ign:2 http://deb.debian.org/debian unstable/main amd64 Packages.diff/Index
- Get:3 http://deb.debian.org/debian unstable/main amd64 Packages [8783 kB]
- Fetched 9012 kB in 3s (3072 kB/s)
- Reading package lists...
- 
2021-10-21 03:56.45 ---> using "eadc05e85a734f8b69a04ebecc0d4345b67c2ceba550baa790e23058791fe480" from cache

/: (run (cache (opam-archives (target /home/opam/.opam/download-cache)))
        (network host)
        (shell  "\
               \nopam remove -y \"conf-netsnmp.1.0.0\"\
               \nopam install -vy \"conf-netsnmp.1.0.0\"\
               \nres=$?\
               \nif [ $res = 31 ]; then\
               \n    if opam show -f x-ci-accept-failures: \"conf-netsnmp.1.0.0\" | grep -q '\"debian-unstable\"'; then\
               \n        echo \"This package failed and has been disabled for CI using the 'x-ci-accept-failures' field.\"\
               \n        exit 69\
               \n    fi\
               \nfi\
               \n\
               \nif [ $res = 0 ]; then\
               \n    opam remove -y \"conf-netsnmp.1.0.0\"\
               \n    opam install -vty \"conf-netsnmp.1.0.0\"\
               \n    res=$?\
               \n    if [ $res = 20 ]; then\
               \n        res=0\
               \n    fi\
               \nfi\
               \n\
               \n\
               \nexit $res\
               \n"))
[NOTE] conf-netsnmp.1.0.0 is not installed.

Nothing to do.
The following actions will be performed:
  - install conf-netsnmp 1.0.0

The following system packages will first need to be installed:
    libsnmp-dev

<><> Handling external dependencies <><><><><><><><><><><><><><><><><><><><><><>
Let opam run your package manager to install the required system packages?
(answer 'n' for other options) [Y/n] y
+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "libsnmp-dev"
- debconf: delaying package configuration, since apt-utils is not installed
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 18069 files and directories currently installed.)
- Preparing to unpack .../libudev1_249.5-1_amd64.deb ...
- Unpacking libudev1:amd64 (249.5-1) over (247.9-3) ...
- Setting up libudev1:amd64 (249.5-1) ...
- Selecting previously unselected package libncurses6:amd64.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 18069 files and directories currently installed.)
- Preparing to unpack .../00-libncurses6_6.2+20210905-1_amd64.deb ...
- Unpacking libncurses6:amd64 (6.2+20210905-1) ...
- Selecting previously unselected package libprocps8:amd64.
- Preparing to unpack .../01-libprocps8_2%3a3.3.17-5_amd64.deb ...
- Unpacking libprocps8:amd64 (2:3.3.17-5) ...
- Selecting previously unselected package procps.
- Preparing to unpack .../02-procps_2%3a3.3.17-5_amd64.deb ...
- Unpacking procps (2:3.3.17-5) ...
- Selecting previously unselected package mysql-common.
- Preparing to unpack .../03-mysql-common_5.8+1.0.7_all.deb ...
- Unpacking mysql-common (5.8+1.0.7) ...
- Selecting previously unselected package mariadb-common.
- Preparing to unpack .../04-mariadb-common_1%3a10.5.12-1_all.deb ...
- Unpacking mariadb-common (1:10.5.12-1) ...
- Selecting previously unselected package libmariadb3:amd64.
- Preparing to unpack .../05-libmariadb3_1%3a10.5.12-1_amd64.deb ...
- Unpacking libmariadb3:amd64 (1:10.5.12-1) ...
- Selecting previously unselected package pci.ids.
- Preparing to unpack .../06-pci.ids_0.0~2021.08.22-1_all.deb ...
- Unpacking pci.ids (0.0~2021.08.22-1) ...
- Selecting previously unselected package libpci3:amd64.
- Preparing to unpack .../07-libpci3_1%3a3.7.0-6_amd64.deb ...
- Unpacking libpci3:amd64 (1:3.7.0-6) ...
- Selecting previously unselected package libsensors-config.
- Preparing to unpack .../08-libsensors-config_1%3a3.6.0-7_all.deb ...
- Unpacking libsensors-config (1:3.6.0-7) ...
- Selecting previously unselected package libsensors5:amd64.
- Preparing to unpack .../09-libsensors5_1%3a3.6.0-7_amd64.deb ...
- Unpacking libsensors5:amd64 (1:3.6.0-7) ...
- Selecting previously unselected package libwrap0:amd64.
- Preparing to unpack .../10-libwrap0_7.6.q-31_amd64.deb ...
- Unpacking libwrap0:amd64 (7.6.q-31) ...
- Selecting previously unselected package libsnmp-base.
- Preparing to unpack .../11-libsnmp-base_5.9.1+dfsg-1_all.deb ...
- Unpacking libsnmp-base (5.9.1+dfsg-1) ...
- Selecting previously unselected package libsnmp40:amd64.
- Preparing to unpack .../12-libsnmp40_5.9.1+dfsg-1_amd64.deb ...
- Unpacking libsnmp40:amd64 (5.9.1+dfsg-1) ...
- Selecting previously unselected package libnetsnmptrapd40:amd64.
- Preparing to unpack .../13-libnetsnmptrapd40_5.9.1+dfsg-1_amd64.deb ...
- Unpacking libnetsnmptrapd40:amd64 (5.9.1+dfsg-1) ...
- Selecting previously unselected package libudev-dev:amd64.
- Preparing to unpack .../14-libudev-dev_249.5-1_amd64.deb ...
- Unpacking libudev-dev:amd64 (249.5-1) ...
- Selecting previously unselected package zlib1g-dev:amd64.
- Preparing to unpack .../15-zlib1g-dev_1%3a1.2.11.dfsg-2_amd64.deb ...
- Unpacking zlib1g-dev:amd64 (1:1.2.11.dfsg-2) ...
- Selecting previously unselected package libpci-dev:amd64.
- Preparing to unpack .../16-libpci-dev_1%3a3.7.0-6_amd64.deb ...
- Unpacking libpci-dev:amd64 (1:3.7.0-6) ...
- Selecting previously unselected package libsensors-dev:amd64.
- Preparing to unpack .../17-libsensors-dev_1%3a3.6.0-7_amd64.deb ...
- Unpacking libsensors-dev:amd64 (1:3.6.0-7) ...
- Selecting previously unselected package libwrap0-dev:amd64.
- Preparing to unpack .../18-libwrap0-dev_7.6.q-31_amd64.deb ...
- Unpacking libwrap0-dev:amd64 (7.6.q-31) ...
- Selecting previously unselected package libssl-dev:amd64.
- Preparing to unpack .../19-libssl-dev_1.1.1l-1_amd64.deb ...
- Unpacking libssl-dev:amd64 (1.1.1l-1) ...
- Selecting previously unselected package libsnmp-dev.
- Preparing to unpack .../20-libsnmp-dev_5.9.1+dfsg-1_amd64.deb ...
- Unpacking libsnmp-dev (5.9.1+dfsg-1) ...
- Selecting previously unselected package libsnmp-perl.
- Preparing to unpack .../21-libsnmp-perl_5.9.1+dfsg-1_amd64.deb ...
- Unpacking libsnmp-perl (5.9.1+dfsg-1) ...
- Selecting previously unselected package psmisc.
- Preparing to unpack .../22-psmisc_23.4-2_amd64.deb ...
- Unpacking psmisc (23.4-2) ...
- Setting up mysql-common (5.8+1.0.7) ...
- update-alternatives: using /etc/mysql/my.cnf.fallback to provide /etc/mysql/my.cnf (my.cnf) in auto mode
- Setting up pci.ids (0.0~2021.08.22-1) ...
- Setting up psmisc (23.4-2) ...
- Setting up libsnmp-base (5.9.1+dfsg-1) ...
- Setting up libsensors-config (1:3.6.0-7) ...
- Setting up mariadb-common (1:10.5.12-1) ...
- update-alternatives: using /etc/mysql/mariadb.cnf to provide /etc/mysql/my.cnf (my.cnf) in auto mode
- Setting up libwrap0:amd64 (7.6.q-31) ...
- Setting up libncurses6:amd64 (6.2+20210905-1) ...
- Setting up libssl-dev:amd64 (1.1.1l-1) ...
- Setting up libmariadb3:amd64 (1:10.5.12-1) ...
- Setting up libudev-dev:amd64 (249.5-1) ...
- Setting up libsensors5:amd64 (1:3.6.0-7) ...
- Setting up zlib1g-dev:amd64 (1:1.2.11.dfsg-2) ...
- Setting up libpci3:amd64 (1:3.7.0-6) ...
- Setting up libwrap0-dev:amd64 (7.6.q-31) ...
- Setting up libsensors-dev:amd64 (1:3.6.0-7) ...
- Setting up libprocps8:amd64 (2:3.3.17-5) ...
- Setting up libpci-dev:amd64 (1:3.7.0-6) ...
- Setting up libsnmp40:amd64 (5.9.1+dfsg-1) ...
- Setting up libnetsnmptrapd40:amd64 (5.9.1+dfsg-1) ...
- Setting up procps (2:3.3.17-5) ...
- Setting up libsnmp-perl (5.9.1+dfsg-1) ...
- Setting up libsnmp-dev (5.9.1+dfsg-1) ...
- Processing triggers for libc-bin (2.32-4) ...

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  1/3:
-> retrieved conf-netsnmp.1.0.0  (cached)
Processing  2/3: [conf-netsnmp: sh]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "sh" "-exc" "cc -c $CFLAGS -I/usr/local/include files/test.c" (CWD=/home/opam/.opam/4.12.0+nnpchecker/.opam-switch/build/conf-netsnmp.1.0.0)
- + cc -c -I/usr/local/include files/test.c
-> compiled  conf-netsnmp.1.0.0
-> installed conf-netsnmp.1.0.0
Done.
# Run eval $(opam env) to update the current shell environment
The following actions will be performed:
  - remove conf-netsnmp 1.0.0

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> removed   conf-netsnmp.1.0.0
Done.
# Run eval $(opam env) to update the current shell environment
The following actions will be performed:
  - install conf-netsnmp 1.0.0

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
Processing  1/3:
-> retrieved conf-netsnmp.1.0.0  (cached)
Processing  2/3: [conf-netsnmp: sh]
+ /home/opam/.opam/opam-init/hooks/sandbox.sh "build" "sh" "-exc" "cc -c $CFLAGS -I/usr/local/include files/test.c" (CWD=/home/opam/.opam/4.12.0+nnpchecker/.opam-switch/build/conf-netsnmp.1.0.0)
- + cc -c -I/usr/local/include files/test.c
-> compiled  conf-netsnmp.1.0.0
-> installed conf-netsnmp.1.0.0
Done.
# Run eval $(opam env) to update the current shell environment
2021-10-21 03:57.37 ---> saved as "4362086fbac543426e968af9aaa1f54844c78ea7ac610fb74792e5ead08479ff"
Job succeeded